import { Vector2Utils } from "../utils/vector2Utils";

// @minecraft/math.Vector2Builder
// https://www.npmjs.com/package/@minecraft/math
// Licensed under the MIT License.

export class Vector2Builder {
    constructor(first, y) {
        if (typeof first === 'object') {
            this.x = first.x;
            this.y = first.y;
        }
        else {
            this.x = first;
            this.y = y ?? 0;
        }
    }
    toString(options) {
        return Vector2Utils.toString(this, options);
    }
}