import { Axis } from "../enum/system";

export class EntityUtils {
    static entityAxis(angle) {
        if (angle >= 45 && angle < 135 || angle >= -135 && angle < -45) {
            return Axis.X;
        } else if (angle >= 135 && angle <= 180 || angle >= -180 && angle < -135 || angle >= -45 && angle < 45) {
            return Axis.Z;
        };
    }

    static getEntityAxis(entity) {
        return this.entityAxis(entity.getRotation().y);
    }
}