export const VERTICAL_SLAB_DATA = {
    VerticalSmoothStoneSlab: {sound: "use.stone", hasDirection: true},
    VerticalStoneSlab: {sound: "use.stone", hasDirection: false},
    VerticalCobbleStoneSlab: {sound: "use.stone", hasDirection: false},
    VerticalMossyCobbleStoneSlab: {sound: "use.stone", hasDirection: false},
    VerticalOakWoodSlab: {sound: "use.wood", hasDirection: false},
    VerticalSpruceWoodSlab: {sound: "use.wood", hasDirection: false},
    VerticalBirchWoodSlab: {sound: "use.wood", hasDirection: false},
    VerticalJungleWoodSlab: {sound: "use.wood", hasDirection: false},
    VerticalAcaciaWoodSlab: {sound: "use.wood", hasDirection: false},
    VerticalDarkOakWoodSlab: {sound: "use.wood", hasDirection: false},
    VerticalMangroveWoodSlab: {sound: "use.wood", hasDirection: false},
    VerticalCherrySlab: {sound: "step.cherry_wood", hasDirection: false},
    VerticalBambooSlab: {sound: "step.bamboo_wood", hasDirection: false},
    VerticalBambooMosaicSlab: {sound: "step.bamboo_wood", hasDirection: false},
    VerticalStonebrickSlab: {sound: "use.stone", hasDirection: false},
    VerticalMossyStoneBrickSlab: {sound: "use.stone", hasDirection: false},
    VerticalSandstoneSlab: {sound: "use.stone", hasDirection: false},
    VerticalCutSandstoneSlab: {sound: "use.stone", hasDirection: false},
    VerticalSmoothSandstoneSlab: {sound: "use.stone", hasDirection: false},
    VerticalRedSandstoneSlab: {sound: "use.stone", hasDirection: false},
    VerticalCutRedSandstoneSlab: {sound: "use.stone", hasDirection: false},
    VerticalSmoothRedSandstoneSlab: {sound: "use.stone", hasDirection: false},
    VerticalGraniteSlab: {sound: "use.stone", hasDirection: false},
    VerticalPolishedGraniteSlab: {sound: "use.stone", hasDirection: false},
    VerticalDioriteSlab: {sound: "use.stone", hasDirection: false},
    VerticalPolishedDioriteSlab: {sound: "use.stone", hasDirection: false},
    VerticalAndesiteSlab: {sound: "use.stone", hasDirection: false},
    VerticalPolishedAndesiteSlab: {sound: "use.stone", hasDirection: false},
    VerticalBrickSlab: {sound: "use.stone", hasDirection: false},
    VerticalNetherBrickSlab: {sound: "use.stone", hasDirection: false},
    VerticalRedNetherBrickSlab: {sound: "use.stone", hasDirection: false},
    VerticalEndStoneBrickSlab: {sound: "use.stone", hasDirection: false},
    VerticalQuartzSlab: {sound: "use.stone", hasDirection: false},
    VerticalSmoothQuartzSlab: {sound: "use.stone", hasDirection: false},
    VerticalPurpurSlab: {sound: "use.stone", hasDirection: false},
    VerticalPrismarineSlab: {sound: "use.stone", hasDirection: false},
    VerticalDarkPrismarineSlab: {sound: "use.stone", hasDirection: false},
    VerticalPrismarineBrickSlab: {sound: "use.stone", hasDirection: false},
    VerticalCrimsonSlab: {sound: "use.wood", hasDirection: false},
    VerticalWarpedSlab: {sound: "use.wood", hasDirection: false},
    VerticalBlackstoneSlab: {sound: "use.stone", hasDirection: false},
    VerticalPolishedBlackstoneSlab: {sound: "use.stone", hasDirection: false},
    VerticalPolishedBlackstoneBrickSlab: {sound: "use.stone", hasDirection: false},
    VerticalCutCopperSlab: {sound: "use.copper", hasDirection: false, copperStage: 0, isWaxed: false},
    VerticalExposedCutCopperSlab: {sound: "use.copper", hasDirection: false, copperStage: 1, isWaxed: false},
    VerticalWeatheredCutCopperSlab: {sound: "use.copper", hasDirection: false, copperStage: 2, isWaxed: false},
    VerticalOxidizedCutCopperSlab: {sound: "use.copper", hasDirection: false, copperStage: 3, isWaxed: false},
    VerticalWaxedCutCopperSlab: {sound: "use.copper", hasDirection: false, copperStage: 0, isWaxed: true},
    VerticalWaxedExposedCutCopperSlab: {sound: "use.copper", hasDirection: false, copperStage: 1, isWaxed: true},
    VerticalWaxedWeatheredCutCopperSlab: {sound: "use.copper", hasDirection: false, copperStage: 2, isWaxed: true},
    VerticalWaxedOxidizedCutCopperSlab: {sound: "use.copper", hasDirection: false, copperStage: 3, isWaxed: true},
    VerticalCobbledDeepslateSlab: {sound: "use.deepslate", hasDirection: false},
    VerticalPolishedDeepslateSlab: {sound: "use.deepslate", hasDirection: false},
    VerticalDeepslateTileSlab: {sound: "use.deepslate_bricks", hasDirection: false},
    VerticalDeepslateBrickSlab: {sound: "use.deepslate_bricks", hasDirection: false},
    VerticalMudBrickSlab: {sound: "block.mud_bricks.place", hasDirection: false},
    VerticalTuffSlab: {sound: "place.tuff", hasDirection: false},
    VerticalPolishedTuffSlab: {sound: "place.tuff", hasDirection: false},
    VerticalTuffBrickSlab: {sound: "place.tuff_bricks", hasDirection: false},
};