export const VERTICAL_SLABS = {
    VerticalSmoothStoneSlab: "slab:vertical_smooth_stone_slab",
    VerticalStoneSlab: "slab:vertical_stone_slab",
    VerticalCobbleStoneSlab: "slab:vertical_cobblestone_slab",
    VerticalMossyCobbleStoneSlab: "slab:vertical_mossy_cobblestone_slab",
    VerticalOakWoodSlab: "slab:vertical_oak_wood_slab",
    VerticalSpruceWoodSlab: "slab:vertical_spruce_wood_slab",
    VerticalBirchWoodSlab: "slab:vertical_birch_wood_slab",
    VerticalJungleWoodSlab: "slab:vertical_jungle_wood_slab",
    VerticalAcaciaWoodSlab: "slab:vertical_acacia_wood_slab",
    VerticalDarkOakWoodSlab: "slab:vertical_dark_oak_wood_slab",
    VerticalMangroveWoodSlab: "slab:vertical_mangrove_wood_slab",
    VerticalCherrySlab: "slab:vertical_cherry_slab",
    VerticalBambooSlab: "slab:vertical_bamboo_slab",
    VerticalBambooMosaicSlab: "slab:vertical_bamboo_mosaic_slab",
    VerticalStonebrickSlab: "slab:vertical_stonebrick_slab",
    VerticalMossyStoneBrickSlab: "slab:vertical_mossy_stone_brick_slab",
    VerticalSandstoneSlab: "slab:vertical_sandstone_slab",
    VerticalCutSandstoneSlab: "slab:vertical_cut_sandstone_slab",
    VerticalSmoothSandstoneSlab: "slab:vertical_smooth_sandstone_slab",
    VerticalRedSandstoneSlab: "slab:vertical_red_sandstone_slab",
    VerticalCutRedSandstoneSlab: "slab:vertical_cut_red_sandstone_slab",
    VerticalSmoothRedSandstoneSlab: "slab:vertical_smooth_red_sandstone_slab",
    VerticalGraniteSlab: "slab:vertical_granite_slab",
    VerticalPolishedGraniteSlab: "slab:vertical_polished_granite_slab",
    VerticalDioriteSlab: "slab:vertical_diorite_slab",
    VerticalPolishedDioriteSlab: "slab:vertical_polished_diorite_slab",
    VerticalAndesiteSlab: "slab:vertical_andesite_slab",
    VerticalPolishedAndesiteSlab: "slab:vertical_polished_andesite_slab",
    VerticalBrickSlab: "slab:vertical_brick_slab",
    VerticalNetherBrickSlab: "slab:vertical_nether_brick_slab",
    VerticalRedNetherBrickSlab: "slab:vertical_red_nether_brick_slab",
    VerticalEndStoneBrickSlab: "slab:vertical_end_stone_brick_slab",
    VerticalQuartzSlab: "slab:vertical_quartz_slab",
    VerticalSmoothQuartzSlab: "slab:vertical_smooth_quartz_slab",
    VerticalPurpurSlab: "slab:vertical_purpur_slab",
    VerticalPrismarineSlab: "slab:vertical_prismarine_slab",
    VerticalDarkPrismarineSlab: "slab:vertical_dark_prismarine_slab",
    VerticalPrismarineBrickSlab: "slab:vertical_prismarine_brick_slab",
    VerticalCrimsonSlab: "slab:vertical_crimson_slab",
    VerticalWarpedSlab: "slab:vertical_warped_slab",
    VerticalBlackstoneSlab: "slab:vertical_blackstone_slab",
    VerticalPolishedBlackstoneSlab: "slab:vertical_polished_blackstone_slab",
    VerticalPolishedBlackstoneBrickSlab: "slab:vertical_polished_blackstone_brick_slab",
    VerticalCutCopperSlab: "slab:vertical_cut_copper_slab",
    VerticalExposedCutCopperSlab: "slab:vertical_exposed_cut_copper_slab",
    VerticalWeatheredCutCopperSlab: "slab:vertical_weathered_cut_copper_slab",
    VerticalOxidizedCutCopperSlab: "slab:vertical_oxidized_cut_copper_slab",
    VerticalWaxedCutCopperSlab: "slab:vertical_waxed_cut_copper_slab",
    VerticalWaxedExposedCutCopperSlab: "slab:vertical_waxed_exposed_cut_copper_slab",
    VerticalWaxedWeatheredCutCopperSlab: "slab:vertical_waxed_weathered_cut_copper_slab",
    VerticalWaxedOxidizedCutCopperSlab: "slab:vertical_waxed_oxidized_cut_copper_slab",
    VerticalCobbledDeepslateSlab: "slab:vertical_cobbled_deepslate_slab",
    VerticalPolishedDeepslateSlab: "slab:vertical_polished_deepslate_slab",
    VerticalDeepslateTileSlab: "slab:vertical_deepslate_tile_slab",
    VerticalDeepslateBrickSlab: "slab:vertical_deepslate_brick_slab",
    VerticalMudBrickSlab: "slab:vertical_mud_brick_slab",
    VerticalTuffSlab: "slab:vertical_tuff_slab",
    VerticalPolishedTuffSlab: "slab:vertical_polished_tuff_slab",
    VerticalTuffBrickSlab: "slab:vertical_tuff_brick_slab"
};

export const DOUBLE_VERTICAL_SLABS = {
    DoubleVerticalSmoothStoneSlab: "slab:double_vertical_smooth_stone_slab",
    DoubleVerticalStoneSlab: "slab:double_vertical_stone_slab",
    DoubleVerticalCobbleStoneSlab: "slab:double_vertical_cobblestone_slab",
    DoubleVerticalMossyCobbleStoneSlab: "slab:double_vertical_mossy_cobblestone_slab",
    DoubleVerticalOakWoodSlab: "slab:double_vertical_oak_wood_slab",
    DoubleVerticalSpruceWoodSlab: "slab:double_vertical_spruce_wood_slab",
    DoubleVerticalBirchWoodSlab: "slab:double_vertical_birch_wood_slab",
    DoubleVerticalJungleWoodSlab: "slab:double_vertical_jungle_wood_slab",
    DoubleVerticalAcaciaWoodSlab: "slab:double_vertical_acacia_wood_slab",
    DoubleVerticalDarkOakWoodSlab: "slab:double_vertical_dark_oak_wood_slab",
    DoubleVerticalMangroveWoodSlab: "slab:double_vertical_mangrove_wood_slab",
    DoubleVerticalCherrySlab: "slab:double_vertical_cherry_slab",
    DoubleVerticalBambooSlab: "slab:double_vertical_bamboo_slab",
    DoubleVerticalBambooMosaicSlab: "slab:double_vertical_bamboo_mosaic_slab",
    DoubleVerticalStonebrickSlab: "slab:double_vertical_stonebrick_slab",
    DoubleVerticalMossyStoneBrickSlab: "slab:double_vertical_mossy_stone_brick_slab",
    DoubleVerticalSandstoneSlab: "slab:double_vertical_sandstone_slab",
    DoubleVerticalCutSandstoneSlab: "slab:double_vertical_cut_sandstone_slab",
    DoubleVerticalSmoothSandstoneSlab: "slab:double_vertical_smooth_sandstone_slab",
    DoubleVerticalRedSandstoneSlab: "slab:double_vertical_red_sandstone_slab",
    DoubleVerticalCutRedSandstoneSlab: "slab:double_vertical_cut_red_sandstone_slab",
    DoubleVerticalSmoothRedSandstoneSlab: "slab:double_vertical_smooth_red_sandstone_slab",
    DoubleVerticalGraniteSlab: "slab:double_vertical_granite_slab",
    DoubleVerticalPolishedGraniteSlab: "slab:double_vertical_polished_granite_slab",
    DoubleVerticalDioriteSlab: "slab:double_vertical_diorite_slab",
    DoubleVerticalPolishedDioriteSlab: "slab:double_vertical_polished_diorite_slab",
    DoubleVerticalAndesiteSlab: "slab:double_vertical_andesite_slab",
    DoubleVerticalPolishedAndesiteSlab: "slab:double_vertical_polished_andesite_slab",
    DoubleVerticalBrickSlab: "slab:double_vertical_brick_slab",
    DoubleVerticalNetherBrickSlab: "slab:double_vertical_nether_brick_slab",
    DoubleVerticalRedNetherBrickSlab: "slab:double_vertical_red_nether_brick_slab",
    DoubleVerticalEndStoneBrickSlab: "slab:double_vertical_end_stone_brick_slab",
    DoubleVerticalQuartzSlab: "slab:double_vertical_quartz_slab",
    DoubleVerticalSmoothQuartzSlab: "slab:double_vertical_smooth_quartz_slab",
    DoubleVerticalPurpurSlab: "slab:double_vertical_purpur_slab",
    DoubleVerticalPrismarineSlab: "slab:double_vertical_prismarine_slab",
    DoubleVerticalDarkPrismarineSlab: "slab:double_vertical_dark_prismarine_slab",
    DoubleVerticalPrismarineBrickSlab: "slab:double_vertical_prismarine_brick_slab",
    DoubleVerticalCrimsonSlab: "slab:double_vertical_crimson_slab",
    DoubleVerticalWarpedSlab: "slab:double_vertical_warped_slab",
    DoubleVerticalBlackstoneSlab: "slab:double_vertical_blackstone_slab",
    DoubleVerticalPolishedBlackstoneSlab: "slab:double_vertical_polished_blackstone_slab",
    DoubleVerticalPolishedBlackstoneBrickSlab: "slab:double_vertical_polished_blackstone_brick_slab",
    DoubleVerticalCutCopperSlab: "slab:double_vertical_cut_copper_slab",
    DoubleVerticalExposedCutCopperSlab: "slab:double_vertical_exposed_cut_copper_slab",
    DoubleVerticalWeatheredCutCopperSlab: "slab:double_vertical_weathered_cut_copper_slab",
    DoubleVerticalOxidizedCutCopperSlab: "slab:double_vertical_oxidized_cut_copper_slab",
    DoubleVerticalWaxedCutCopperSlab: "slab:double_vertical_waxed_cut_copper_slab",
    DoubleVerticalWaxedExposedCutCopperSlab: "slab:double_vertical_waxed_exposed_cut_copper_slab",
    DoubleVerticalWaxedWeatheredCutCopperSlab: "slab:double_vertical_waxed_weathered_cut_copper_slab",
    DoubleVerticalWaxedOxidizedCutCopperSlab: "slab:double_vertical_waxed_oxidized_cut_copper_slab",
    DoubleVerticalCobbledDeepslateSlab: "slab:double_vertical_cobbled_deepslate_slab",
    DoubleVerticalPolishedDeepslateSlab: "slab:double_vertical_polished_deepslate_slab",
    DoubleVerticalDeepslateTileSlab: "slab:double_vertical_deepslate_tile_slab",
    DoubleVerticalDeepslateBrickSlab: "slab:double_vertical_deepslate_brick_slab",
    DoubleVerticalMudBrickSlab: "slab:double_vertical_mud_brick_slab",
    DoubleVerticalTuffSlab: "slab:double_vertical_tuff_slab",
    DoubleVerticalPolishedTuffSlab: "slab:double_vertical_polished_tuff_slab",
    DoubleVerticalTuffBrickSlab: "slab:double_vertical_tuff_brick_slab"
};