export const VANILLA_BLOCK_TAGS = {
    Acacia: "acacia",
    Birch: "birch",
    DarkOak: "dark_oak",
    DiamondPickDiggable: "diamond_pick_diggable",
    Dirt: "dirt",
    FertilizeArea: "fertilize_area",
    GoldPickDiggable: "gold_pick_diggable",
    Grass: "grass",
    Gravel: "gravel",
    IronPickDiggable: "iron_pick_diggable",
    Jungle: "jungle",
    Log: "log",
    Metal: "metal",
    Crop: "minecraft:crop",
    MobSpawner: "mob_spawner",
    NotFeatureReplaceable: "not_feature_replaceable",
    Oak: "oak",
    Plant: "plant",
    Pumpkin: "pumpkin",
    Rail: "rail",
    Sand: "sand",
    Snow: "snow",
    Spruce: "spruce",
    Stone: "stone",
    StonePickDiggable: "stone_pick_diggable",
    TextDign: "text_sign",
    Trapdoors: "trapdoors",
    Water: "water",
    Wood: "wood",
    WoodPickDiggable: "wood_pick_diggable"
};

export const VANILLA_ITEM_TAGS = {
    Arrow: "minecraft:arrow",
    Banner: "minecraft:banner",
    Boat: "minecraft:boat",
    Boats: "minecraft:boats",
    BookshelfBooks: "minecraft:bookshelf_books",
    ChainmailTier: "minecraft:chainmail_tier",
    ChestBoat: "minecraft:chest_boat",
    Coals: "minecraft:coals",
    CrimsonStems: "minecraft:crimson_stems",
    DecoratedPotSherds: "minecraft:decorated_pot_sherds",
    DiamondTier: "minecraft:diamond_tier",
    Digger: "minecraft:digger",
    Door: "minecraft:door",
    GoldenTier: "minecraft:golden_tier",
    HangingActor: "minecraft:hanging_actor",
    HangingSign: "minecraft:hanging_sign",
    HorseArmor: "minecraft:horse_armor",
    IronTier: "minecraft:iron_tier",
    IsArmor: "minecraft:is_armor",
    IsAxe: "minecraft:is_axe",
    IsCooked: "minecraft:is_cooked",
    IsFish: "minecraft:is_fish",
    IsFood: "minecraft:is_food",
    IsHoe: "minecraft:is_hoe",
    IsMeat: "minecraft:is_meat",
    IsMinecart: "minecraft:is_minecart",
    IsPickaxe: "minecraft:is_pickaxe",
    IsShovel: "minecraft:is_shovel",
    IsSword: "minecraft:is_sword",
    IsTool: "minecraft:is_tool",
    IsTrident: "minecraft:is_trident",
    LeatherTier: "minecraft:leather_tier",
    LecternBooks: "minecraft:lectern_books",
    Logs: "minecraft:logs",
    LogsThatBurn: "minecraft:logs_that_burn",
    MangroveLogs: "minecraft:mangrove_logs",
    MusicDisc: "minecraft:music_disc",
    NetheriteTier: "minecraft:netherite_tier",
    PiglinLoved: "minecraft:piglin_loved",
    PiglinRepellents: "minecraft:piglin_repellents",
    Planks: "minecraft:planks",
    Sand: "minecraft:sand",
    Sign: "minecraft:sign",
    SoulFireBaseBlocks: "minecraft:soul_fire_base_blocks",
    SpawnEgg: "minecraft:spawn_egg",
    StoneBricks: "minecraft:stone_bricks",
    StoneCraftingMaterials: "minecraft:stone_crafting_materials",
    StoneTier: "minecraft:stone_tier",
    StoneToolMaterials: "minecraft:stone_tool_materials",
    TransformMaterials: "minecraft:transform_materials",
    TransformTemplates: "minecraft:transform_templates",
    TransformableItems: "minecraft:transformable_items",
    TrimMaterials: "minecraft:trim_materials",
    TrimTemplates: "minecraft:trim_templates",
    TrimmableArmors: "minecraft:trimmable_armors",
    VibrationDamper: "minecraft:vibration_damper",
    WarpedStems: "minecraft:warped_stems",
    WoodenSlabs: "minecraft:wooden_slabs",
    WoodenTier: "minecraft:wooden_tier",
    Wool: "minecraft:wool",
};

export const CUSTOM_BLOCK_TAGS = {
    Copper: "copper",
    DoubleSlab: "double_slab"
};